Wallet: Check made optional

This commit is contained in:
Daniel Pätzold
2026-04-07 16:59:07 +02:00
parent eebe813eed
commit 7930263a3b
2 changed files with 2 additions and 12 deletions
@@ -31,13 +31,3 @@ fi
#Now, run the command #Now, run the command
${QB_CMD} "$QB_SERVICE" "$QB_PATH" $@ ${QB_CMD} "$QB_SERVICE" "$QB_PATH" $@
exit $? exit $?
#Check if kwalletd is enabled
${QB_CMD} "$QB_SERVICE" "$QB_PATH" reconfigure
QB_RESULT=$( ${QB_CMD} "$QB_SERVICE" "$QB_PATH" isEnabled 2>/dev/null || true)
if [[ "$QB_RESULT" != "true" ]]; then
echo "Error checking if kWallet service is activated. Cannot continue. Return of Check was:"
echo "$QB_RESULT"
exit 1
fi
+2 -2
View File
@@ -12,9 +12,9 @@ sleep 1
#Check if kwalletd is enabled now #Check if kwalletd is enabled now
QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh isEnabled 2>/dev/null || true ) QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh isEnabled 2>/dev/null || true )
if [[ "$QB_RESULT" != "true" ]]; then if [[ "$QB_RESULT" != "true" ]]; then
echo "Error checking if kWallet service is activated. Cannot continue. Return of Check was:" echo "Error checking if kWallet service is activated. Please Check yourself what is wrong. Return of Check was:"
echo "$QB_RESULT" echo "$QB_RESULT"
exit 1 exit 0
fi fi
#It should be possible to open the wallet without having to enter the password now. #It should be possible to open the wallet without having to enter the password now.